IOREMAP_NOCACHE(9)

NAME
ioremap_nocache - map bus memory into CPU space

SYNOPSIS

void __iomem * ioremap_nocache(resource_size_t offset, unsigned long size);

ARGUMENTS

offset
    bus address of the memory

size
    size of the resource to map

DESCRIPTION

ioremap performs a platform specific sequence of operations to make bus memory CPU accessible via the readb/readw/readl/writeb/ writew/writel functions and the other mmio helpers. The returned address is not guaranteed to be usable directly as a virtual address.

If the area you are trying to map is a PCI BAR you should have a look at pci_iomap.

AUTHORS

Matthew Wilcox <matthew@wil.cx>
    Author.

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT